GET /serviceengine/{uuid}/resolverdbsummary/
/serviceengine/{uuid}/resolverdbsummary/
UUID of the object to fetch
Avi Tenant Header
Avi Tenant Header UUID
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
OK
{
"dns_resolution_on_se": false,
"fqdns": [
{
"err_response": "string",
"fqdn": "string",
"ips": [
{
"addr": "string",
"type": "string"
}
]
}
],
"gs_member_fqdn_resolution_on_se": false,
"num_fqdns": 0,
"num_fqdns_err": 0,
"num_fqdns_resolved": 0,
"resolvers": [
{
"nameserver_ips": [
{
"addr": "string",
"type": "string"
}
],
"resolver_name": "string",
"total_fqdns": 0
}
],
"se_ref": "string"
}
Resolve the fqdns on SE. Field introduced in 20.1.5, 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
FQDN Summary. Field introduced in 20.1.5, 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Resolve the Gslb Service group/pool member FQDNs on SE. Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Total number of fqdns. Field introduced in 20.1.5, 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Number of fqdns for which DNS resolution failed. Field introduced in 20.1.5, 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Number of fqdns resolved to ips. Field introduced in 20.1.5, 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Resolver Info. Field introduced in 20.1.5, 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
SE UUID. It is a reference to an object of type ServiceEngine. Field introduced in 20.1.5, 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
log in failed
object not found
curl -H 'Authorization: <value>' https://{api_host}/api/serviceengine/{uuid}/resolverdbsummary